Skip to main content
POST
/
api
/
payments
/
razorpay
/
{environment}
/
subscriptions
/
{subscriptionId}
/
cancel
Cancel Razorpay Subscription
curl --request POST \
  --url https://api.example.com/api/payments/razorpay/{environment}/subscriptions/{subscriptionId}/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cancelAtCycleEnd": true
}
'
import requests

url = "https://api.example.com/api/payments/razorpay/{environment}/subscriptions/{subscriptionId}/cancel"

payload = { "cancelAtCycleEnd": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cancelAtCycleEnd: true})
};

fetch('https://api.example.com/api/payments/razorpay/{environment}/subscriptions/{subscriptionId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "subscription": {
    "subscriptionId": "sub_123",
    "planId": "plan_123",
    "customerId": "cust_123",
    "subjectType": "<string>",
    "subjectId": "<string>",
    "currentStart": "2023-11-07T05:31:56Z",
    "currentEnd": "2023-11-07T05:31:56Z",
    "endedAt": "2023-11-07T05:31:56Z",
    "quantity": 123,
    "chargeAt": "2023-11-07T05:31:56Z",
    "startAt": "2023-11-07T05:31:56Z",
    "endAt": "2023-11-07T05:31:56Z",
    "totalCount": 123,
    "authAttempts": 123,
    "paidCount": 123,
    "remainingCount": 123,
    "shortUrl": "<string>",
    "hasScheduledChanges": true,
    "changeScheduledAt": "2023-11-07T05:31:56Z",
    "offerId": "<string>",
    "authorizationPaymentId": "pay_123",
    "authorizationVerifiedAt": "2023-11-07T05:31:56Z",
    "notes": {},
    "providerCreatedAt": "2023-11-07T05:31:56Z",
    "syncedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}
{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}
{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}
{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environment
enum<string>
required

Payment provider environment.

Available options:
test,
live
subscriptionId
string
required

Razorpay subscription ID.

Minimum string length: 1

Body

application/json
cancelAtCycleEnd
boolean
default:false

When true, cancels at the end of the current billing cycle. Defaults to immediate cancellation.

Response

Razorpay subscription cancelled

subscription
object
required